# -*- coding: utf-8 -*-
# Generated by Django 1.11.9 on 2021-01-16 02:45
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import xyz_util.modelutils


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Account',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('remote_id', models.CharField(max_length=64, verbose_name='\u6e90ID')),
                ('name', models.CharField(max_length=64, verbose_name='\u59d3\u540d')),
                ('profile', xyz_util.modelutils.JSONField(verbose_name='\u6863\u6848')),
                ('is_active', models.BooleanField(default=True, verbose_name='\u6709\u6548')),
                ('create_time', models.DateTimeField(auto_now_add=True, verbose_name='\u521b\u5efa\u65f6\u95f4')),
                ('update_time', models.DateTimeField(auto_now=True, verbose_name='\u521b\u5efa\u65f6\u95f4')),
            ],
            options={
                'verbose_name': '\u5e10\u53f7',
                'verbose_name_plural': '\u5e10\u53f7',
            },
        ),
        migrations.CreateModel(
            name='Source',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=64, verbose_name='\u540d\u79f0')),
                ('is_active', models.BooleanField(default=True, verbose_name='\u6709\u6548')),
                ('token', models.CharField(blank=True, max_length=64, null=True, verbose_name='\u4ee4\u724c')),
                ('landing_page', models.CharField(blank=True, default='/', max_length=255, verbose_name='\u843d\u5730\u9875')),
                ('procedure', models.CharField(blank=True, max_length=128, null=True, verbose_name='\u5904\u7406\u51fd\u6570')),
                ('create_time', models.DateTimeField(auto_now_add=True, verbose_name='\u521b\u5efa\u65f6\u95f4')),
                ('update_time', models.DateTimeField(auto_now=True, verbose_name='\u521b\u5efa\u65f6\u95f4')),
            ],
            options={
                'verbose_name': '\u6765\u6e90',
                'verbose_name_plural': '\u6765\u6e90',
            },
        ),
        migrations.AddField(
            model_name='account',
            name='source',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='accounts', to='unionauth.Source', verbose_name='\u6765\u6e90'),
        ),
        migrations.AddField(
            model_name='account',
            name='user',
            field=models.OneToOneField(null=True, on_delete=django.db.models.deletion.PROTECT, related_name='as_unionauth_account', to=settings.AUTH_USER_MODEL, verbose_name='user'),
        ),
        migrations.AlterUniqueTogether(
            name='account',
            unique_together=set([('source', 'remote_id')]),
        ),
    ]
